<?php
/**
 * Class MassDeleteListForm
 * User: ThurData
 * Date: 2019-10-11
 * Time: 11:23
 * @package ThurData\Servers\KerioEmail\App\UI\Client\DistributionList\Forms
 */

namespace ThurData\Servers\KerioEmail\App\UI\Client\DistributionList\Forms;


use ThurData\Servers\KerioEmail\App\UI\Client\DistributionList\Providers\DeleteListDataProvider;
use ThurData\Servers\KerioEmail\Core\UI\Interfaces\ClientArea;
use ThurData\Servers\KerioEmail\Core\UI\Widget\Forms\BaseForm;

class MassDeleteListForm extends BaseForm implements ClientArea
{
    protected $id    = 'massDeleteListForm';
    protected $name  = 'massDeleteListForm';
    protected $title = 'massDeleteListForm';

    protected function getDefaultActions()
    {
        return ['massDelete'];
    }

    public function initContent()
    {
        $this->setFormType('massDelete');
        $this->dataProvider = new DeleteListDataProvider();

        $this->setConfirmMessage('MassDeleteListFormConfirm');

        $this->loadDataToForm();
    }

}